CS::RenderManager::PostEffectManager::LayerOptions Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::RenderManager::PostEffectManager::LayerOptions Struct Reference

Options for a postprocessing layer. More...

`#include <csplugincommon/rendermanager/posteffects.h>`

List of all members.

## Public Attributes
int | downsample
| Reduce output size.
csRef< iTextureHandle > | manualTarget
| Manually provide a texture to render on.
int | maxMipmap
| Highest mipmap level to generate.
bool | mipmap
| Generate mipmaps for this layer.
bool | noTextureReuse
| Prevent texture reuse. Useful for readback or feedback effects.
bool | readback
| This layer will later be read back.
Layer * | renderOn
| If given renders onto the specified layer as well.
csRect | targetRect
| If not empty render to this rectangle of the target texture.

## Detailed Description

Options for a postprocessing layer.

Definition at line 113 of file posteffects.h.

## Member Data Documentation

int CS::RenderManager::PostEffectManager::LayerOptions::downsample

Reduce output size.

Each downsample step reduces the output by half in each dimensions.

Definition at line 123 of file posteffects.h.

csRef<iTextureHandle> CS::RenderManager::PostEffectManager::LayerOptions::manualTarget

Manually provide a texture to render on.

Means mipmap, maxMipmap, downsample and noTextureReuse are ignored.

Definition at line 130 of file posteffects.h.

int CS::RenderManager::PostEffectManager::LayerOptions::maxMipmap

Highest mipmap level to generate.

Definition at line 118 of file posteffects.h.

bool CS::RenderManager::PostEffectManager::LayerOptions::mipmap

Generate mipmaps for this layer.

Definition at line 116 of file posteffects.h.

bool CS::RenderManager::PostEffectManager::LayerOptions::noTextureReuse

Prevent texture reuse. Useful for readback or feedback effects.

Definition at line 125 of file posteffects.h.

bool CS::RenderManager::PostEffectManager::LayerOptions::readback

This layer will later be read back.

Sets the CSDRAW_READBACK draw flag.

Definition at line 142 of file posteffects.h.

Layer* CS::RenderManager::PostEffectManager::LayerOptions::renderOn

If given renders onto the specified layer as well.

This means all other options except targetRect are ignored.

Definition at line 137 of file posteffects.h.

csRect CS::RenderManager::PostEffectManager::LayerOptions::targetRect

If not empty render to this rectangle of the target texture.

Definition at line 132 of file posteffects.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/posteffects.h